QGIS Application - Feature request #3560
Implement gui profiles
2011-03-06 02:47 PM - Borys Jurgiel

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: GUI

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 13620
Description

Allow multiple user profiles, covering at least gui state and selection of loaded plugins.

Possible solution: multiple QSettings paths, with a gui to manage them and restart the application with selected one. Do anybody has
another ideas?

See #1442 and r13951 also.

History

#1 - 2011-03-07 04:22 AM - Jean-Roc Morreale

Is it really needed ? Most of the OS already seperate the user's profile. If the point is to have specific profiles for specific tasks (toolbar, panel) then having
to switch between them by restarting may not be the best solution.

#2 - 2012-10-06 02:35 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2015-11-20 04:39 AM - Médéric RIBREUX
- Pull Request or Patch supplied set to No

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Hello, bug triage...

as said before, QGIS stores its configuration into ~/.qgis2, so by default, each user of the computer has got an independent profile. If you would like to have
more than one profile for a user, it is possible to use the --configpath option for QGIS binary. With such an option, you can store another profile to another
directory. You can create a shortcut or an alias (QGIS-profile1, QGIS-profile2) with configpath option to implement multiple profiles for a user (or a group

of users).

| am closing this bug as we've got a technical solution to deal with multiple profiles. Feel free to reopen it with more details about what you'd like to have for

users profiles management options.
